package edu.prlab.tyler.iotgateway.gateway.model;

import edu.prlab.tyler.iotgateway.cloud.pojo.Document;
import edu.prlab.tyler.iotgateway.cloud.pojo.device.Device;
import edu.prlab.tyler.iotgateway.cloud.pojo.privacy.PrivacyPolicy;
import edu.prlab.tyler.iotgateway.cloud.pojo.privacy.PrivacyPolicyReport;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.HashMap;
import java.util.List;

@Getter
@Setter
@EqualsAndHashCode
@NoArgsConstructor
public class PrivacyPolicyReportResponse extends PrivacyPolicyReport {

    private HashMap<Integer, Boolean> choices ;

    @Builder(builderMethodName = "responseBuilder")
    public PrivacyPolicyReportResponse(String id, String version, String description, Device device, List<PrivacyPolicy> policies, Document document, HashMap<Integer, Boolean> choices) {
        super(id, version, description, device, policies, document);
        this.choices = choices;
    }
}
